ssh_user_keys Chef Cookbook
=====================
This cookbook will install ssh keys and certificates to users directory ~/.ssh
Very useful for constant or automated git work load.

Requirements
------------
Works and tested:
* Ubuntu 12.04
* Ubuntu 14.04
* Ubuntu 15.04
* CentOS 6.4
* CentOS 6.5
* CentOS 7

Attributes
----------
#### ssh_user_keys::default

* default['ssh_user_keys']['user'] = 'root' "Can be replaced with desired username"
* default['ssh_user_keys']['user_home_dir'] = '/root' "Can be replaced with desired user path"

Usage
-----
#### ssh_user_keys::default
Place ssh key in templates > default, modify default.rb recipe to specify key names. Than specify user and user home directory in default attributes or a role file.
e.g. role file:

```json
name 'app_server'
description 'Default application server role'
default_attributes(
:ssh_user_keys => {
      :user => 'user_name_here',
      :user_home_dir => '/home/user_home_dir_here',
    }
)
env_run_lists(
"_default" => [
  "recipe[ssh_user_keys]",
],
)
```

Or just include `ssh_user_keys` in your node's `run_list`:

```json
{
  "name":"my_node",
  "run_list": [
    "recipe[ssh_user_keys]"
  ]
}
```

Template ssh_config.erb will do ssh-add of a key.

License and Authors
-------------------
Authors: Boris Karaoglanov boris@opsmag.com
